Subject: Re: bug#10441: The testsuite assumes that ln -s really creates a symlink

From: Peter Johansson <[email-masked]>
Date: Sun, 08 Jan 2012 11:06:42 -0500

On 1/8/12 7:56 AM, Stefano Lattarini wrote:
>
>
> The attached patch should take care of the problem.  Tested using
> this script in PATH as the `ln' program:

Hi Stefano,

I'm just curious if there is a reason not to use AC_PROG_LN_S as 
provided by Autoconf. I thought one could call that macro in Autoconf 
and place a line

LN_S=@LN_S@

in 'defs.in' and then replace all 'ln -s' with '$LN_S' in tests. In that 
way you avoid having another script to maintain. Am I missing something?

Cheers,
Peter